@echo off
ECHO University of Oxford, Mathematical Institute Powerdown
ECHO Based on the scripts from Liverpool.
ECHO Copyright 2010.  Freely usable, modifiable and redistributable, but you may not
ECHO use this in a commercial product.

REM location where files will be copied from; you would substitute your own location here.
set scriptdir=\\fuse\win-desktops\power-management
REM set scriptdir=\\common\dfs\winconf\power-management
set find=%systemroot%\system32\find.exe
set schtasks=%systemroot%\system32\schtasks.exe
set xcopy=%systemroot%\system32\xcopy.exe

REM if this computer is in the exception list, remove the service if installed.
set exceptionlist=%scriptdir%\exceptions.txt
%find% /I "%COMPUTERNAME%;" %exceptionlist% && goto unsched

REM Copy the powersave task into the Tasks directory
%xcopy% /d /y /c %scriptdir%\powersave.job %systemroot%\Tasks
REM Run as the System user!
%schtasks% /Change /RU System /TN powersave

REM all done
goto end

:unsched
REM remove the schedule if not needed
%schtasks% /Delete /tn powersave 2> nul
del /Q /F %systemroot%\Tasks\powersave.job 2> nul
goto end

:end
